<?php  namespace  App\Http\Requests\Manager;

use App\Http\Requests\BaseRequest;

/**
 * 管理后台登录验证
 * @author  liuxaingxin
 *
 * */
class Login extends BaseRequest{

    /**
     *
     * @return  array
     */
    public  function  rules(){
        return [
            'username'  =>  'required',
            'password'  =>  'required',
        ];
    }

    // 场景列表
    protected   $scenes         = [
		'login'  		        => ['username','password'],
	];

    /**
     *
     * @return  array
     */
    public  function  messages(){
        return [
            'username.required'  =>  '请输入登录账号',
            'password.required'  =>  '请输入登录密码',
        ];
    }

}
